# Class THREE_Line2

#### Hierarchy (View Summary)

- THREE_LineSegments2
  - THREE_Line2

- Defined in lib/line/utils/Line2.ts:5

##### Index

### Constructors

constructor

### Methods

computeLineDistances
raycast

## Constructors

### constructor

- new THREE_Line2(geometry: LineGeometry, material: LineMaterial): THREE_Line2

  #### Parameters

  - geometry: LineGeometry
  - material: LineMaterial

  #### Returns THREE_Line2

  Overrides THREE_LineSegments2.constructor

  - Defined in lib/line/utils/Line2.ts:7

## Methods

### computeLineDistances

- computeLineDistances(): THREE_Line2

  #### Returns THREE_Line2

  Inherited from THREE_LineSegments2.computeLineDistances

  - Defined in lib/line/utils/LineSegments2.ts:14

### raycast

- raycast(
  raycaster: Raycaster,
  intersects: (Intersection & { pointOnLine: Vector3 })[],
  ): void

  #### Parameters

  - raycaster: Raycaster
  - intersects: (Intersection & { pointOnLine: Vector3 })[]

  #### Returns void

  Inherited from THREE_LineSegments2.raycast

  - Defined in lib/line/utils/LineSegments2.ts:33